Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_OPTIONS = exports.BASE_RETRY_TIMEOUT = exports.AMPLITUDE_SERVER_URL = exports.SDK_NAME = void 0;
var types_1 = require("@amplitude/types");
var package_json_1 = require("../package.json");
Object.defineProperty(exports, "SDK_VERSION", { enumerable: true, get: function () { return package_json_1.version; } });
exports.SDK_NAME = 'amplitude-node';
exports.AMPLITUDE_SERVER_URL = 'https://api2.amplitude.com/2/httpapi';
exports.BASE_RETRY_TIMEOUT = 100;
// The overridable constants of the node SDK
exports.DEFAULT_OPTIONS = {
    serverUrl: exports.AMPLITUDE_SERVER_URL,
    debug: false,
    // 2kb is a safe estimate for a medium size event object. This keeps the SDK's memory footprint roughly
    // under 32 MB.
    maxCachedEvents: 16000,
    maxRetries: 10,
    logLevel: types_1.LogLevel.None,
    optOut: false,
    // The client will instantiate the retry/transport classes if not defined
    retryClass: null,
    transportClass: null,
    // By default, events flush on the next event loop
    uploadIntervalInSec: 0,
};
//# sourceMappingURL=constants.js.map