import { Client, Event, Options, Response, Transport } from '@amplitude/types';
export declare class SimpleClient implements Client<Options> {
    /** Project Api Key */
    protected readonly _apiKey: string;
    /** Options for the client. */
    protected readonly _options: Options;
    protected readonly _transport: Transport;
    /**
     * Initializes this client instance.
     *
     * @param apiKey API key for your project
     * @param options options for the client
     */
    constructor(apiKey: string, options?: Partial<Options>);
    /**
     * @inheritDoc
     */
    getOptions(): Options;
    /**
     * @inheritDoc
     */
    flush(): Promise<Response>;
    /**
     * @inheritDoc
     */
    logEvent(event: Event): Promise<Response>;
    /** Add platform dependent field onto event. */
    private _annotateEvent;
    private _setUpLogging;
}
//# sourceMappingURL=simpleClient.d.ts.map